# $Revision: 1.23 $, $Date: 2010/03/07 14:18:01 $
Summary:	Class for creating esientific and business charts, works with php5
Summary(pl.UTF-8):	Klasa do tworzenia naukowych i biznesowych wykresów, działa z php5
Name:		php-jpgraph
Version:	3.0.7
Release:	1
License:	QPL 1.0
Group:		Libraries
# Source0Download: http://www.aditus.nu/jpgraph/jpdownload.php
Source0:	http://hem.bredband.net/jpgraph2/jpgraph-%{version}.tar.bz2
# Source0-md5:	63acd2f8ec5ad5f7408b07d1098d5508
Patch0:		jpgraph-config.patch
URL:		http://www.aditus.nu/jpgraph/
BuildRequires:	sed >= 4.0
BuildRequires:	unzip
Requires:	php-common >= 4:5.1.0
Requires:	php-gd
Obsoletes:	jpgraph2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir		%{php_data_dir}/jpgraph
%define		_phpdocdir	%{_docdir}/phpdoc

%description
JpGraph is a fully OO graph library which makes it easy to both draw a
"quick and dirty" graph with a minimum of code and quite complex
graphs which requires a very fine grain of control. The library tries
to assign sensible default values for most parameters hence making the
learning curve quite flat since for most of the time very few commands
is required to draw graphs with a pleasing aesthetic look.

%description -l pl.UTF-8
JpGraph to w pełni obiektowo zorientowana biblioteka ułatwiająca
tworzenie zarówno prostych (,,na szybko'') jak i skomplikowanych,
wymagających precyzji grafik. Biblioteka próbuje przypisać sensowne
wartości domyślne dla większości parametrów, aby uczynić krzywą nauki
w miarę płaską, jako że w większości przypadków wystarcza użycie kilku
poleceń do rysowania estetycznie wyglądających grafik.

%package phpdoc
Summary:	Online manual for jpgraph
Summary(pl.UTF-8):	Dokumentacja online do jpgraph
Group:		Documentation
Requires:	php-dirs

%description phpdoc
Documentation for jpgraph.

%description phpdoc -l pl.UTF-8
Dokumentacja do jpgraph.

%package demo
Summary:	Demo for jpgraph
Summary(pl.UTF-8):	Pliki demonstracyjne dla pakietu jpgraph
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description demo
Samples for jpgraph.

%description demo -l pl.UTF-8
Pliki demonstracyjne i przykłady dla pakietu jpgraph.

%prep
%setup -q -c
%patch0 -p1

# avoid 1970 in file dates
find -newer README  -o -print | xargs touch --reference %{SOURCE0}

mv src/Examples .

# rm? some test code?
mv src/contour_dev Examples

%{__sed} -i -e 's,include ("../\(.*\)");,require_once "jpgraph/\1";,' Examples/*.php
%{__sed} -i -e "s,require_once ('../\(.*\)');,require_once 'jpgraph/\1';," Examples/*.php

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_appdir}
cp -a src/* $RPM_BUILD_ROOT%{_appdir}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a Examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install -d $RPM_BUILD_ROOT%{_phpdocdir}
cp -a docportal $RPM_BUILD_ROOT%{_phpdocdir}/jpgraph

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README*
%dir %{_appdir}
%dir %{_appdir}/lang
%{_appdir}/jpgraph.php
%{_appdir}/jpgraph_*.php
%{_appdir}/jpg-config.inc.php
%{_appdir}/gd_image.inc.php
%{_appdir}/imgdata_*.inc.php

%{_appdir}/flag_mapping
%{_appdir}/flags.dat
%{_appdir}/flags_*.dat

%lang(de) %{_appdir}/lang/de.inc.php
%lang(en) %{_appdir}/lang/en.inc.php
%{_appdir}/lang/prod.inc.php

%files phpdoc
%defattr(644,root,root,755)
%{_phpdocdir}/*

%files demo
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-jpgraph.spec,v $
Revision 1.23  2010/03/07 14:18:01  glen
- up to 3.0.7
- subpackage for phpdoc (22M), demos

Revision 1.22  2009/12/23 15:42:58  glen
- fix package dir; rel 2

Revision 1.21  2009/12/22 12:54:08  glen
- rename to php-jpgraph
- obsolete old name

Revision 1.20  2009/12/22 12:04:14  arekm
- up to 3.0.6

Revision 1.19  2009/06/15 17:57:16  glen
- update for missing files

Revision 1.18  2009/06/15 14:37:11  glen
- updated -config.patch; rel 3

Revision 1.17  2009/06/15 11:43:54  glen
- updated md5

Revision 1.16  2009/06/15 11:42:14  glen
- really update to 2.3.4
- fonts/TTF dir is pointless, dir cames from filesystem package; rel 2

Revision 1.15  2009/06/05 14:29:21  glen
- fix paths in examples

Revision 1.14  2009/04/21 14:13:04  areq
- 2.3.4

Revision 1.13  2008/09/04 12:41:00  glen
- package examples; rel 3

Revision 1.12  2008/08/17 19:06:46  qboosh
- BR: sed 4

Revision 1.11  2008/08/08 16:05:53  arekm
- rel 3; fix img src links in docs

Revision 1.10  2008/08/08 15:43:42  arekm
- include translations; rel 2

Revision 1.9  2008/08/08 15:41:30  arekm
- clean some files

Revision 1.8  2008/08/08 15:35:20  arekm
- up to 2.3.3

Revision 1.7  2007/02/13 08:06:36  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.5  2006/12/24 01:32:27  qboosh
- noted Download URL

Revision 1.4  2006/11/26 15:59:26  glen
- php virtual extension deps

Revision 1.3  2006/01/23 10:01:25  qboosh
- updated pl desc

Revision 1.2  2006/01/23 09:23:36  glen
- add information about php versions

Revision 1.1  2006/01/23 09:12:45  glen
- new spec based on one sent by Borys Szlanta

Revision 2.0  2005/09/22 10:48:31  bas@kolos.math.uni.lodz.pl
- initial pld release
